## org.eclipse.emf.ecore.xmi.impl
Class XMLSaveImpl.Escape

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl.Escape

Enclosing class:
  XMLSaveImpl

    protected static class XMLSaveImpl.Escape

extends java.lang.Object

Field Summary
`protected char[]` `ACK`
`protected char[]` `AMP`
`protected char[]` `BEL`
`protected char[]` `BS`
`protected char[]` `CAN`
`protected char[][]` `CONTROL_CHARACTERS`
`protected char[]` `CR`
`protected char[]` `DC1`
`protected char[]` `DC2`
`protected char[]` `DC3`
`protected char[]` `DC4`
`protected char[]` `DLE`
`protected char[]` `EM`
`protected char[]` `ENQ`
`protected char[]` `EOT`
`protected char[]` `ESC`
`protected char[]` `ETB`
`protected char[]` `ETX`
`protected char[]` `FF`
`protected char[]` `FS`
`protected char[]` `GREATER`
`protected char[]` `GS`
`protected char[]` `LESS`
`protected char[]` `LF`
`protected char[]` `LINE_FEED`
`protected int` `mappableLimit`
`protected char[]` `NAK`
`protected char[]` `NUL`
`protected char[]` `QUOTE`
`protected char[]` `RS`
`protected char[]` `SI`
`protected char[]` `SO`
`protected char[]` `SOH`
`protected char[]` `STX`
`protected char[]` `SUB`
`protected char[]` `SYN`
`protected char[]` `TAB`
`protected char[]` `US`
`protected char[]` `value`
`protected char[]` `VT`

Constructor Summary
`XMLSaveImpl.Escape()`

Method Summary
`java.lang.String` `convert(java.lang.String input)`
`java.lang.String` `convertLines(java.lang.String input)`
`java.lang.String` `convertText(java.lang.String input)`
`protected void` `grow(int newSize)`
`protected int` `replace(int pos, char[] replacement, int inputLength)` Deprecated. since 2.2
`protected int` `replaceChars(int pos, char[] replacement, int inputLength)`
`void` `setAllowControlCharacters(boolean allowControlCharacters)`
`void` `setMappingLimit(int mappingLimit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected char[] value

### mappableLimit

    protected int mappableLimit

### NUL

    protected final char[] NUL

### SOH

    protected final char[] SOH

### STX

    protected final char[] STX

### ETX

    protected final char[] ETX

### EOT

    protected final char[] EOT

### ENQ

    protected final char[] ENQ

### ACK

    protected final char[] ACK

### BEL

    protected final char[] BEL

### BS

    protected final char[] BS

### TAB

    protected final char[] TAB

### LF

    protected final char[] LF

### VT

    protected final char[] VT

### FF

    protected final char[] FF

### CR

    protected final char[] CR

### SO

    protected final char[] SO

### SI

    protected final char[] SI

### DLE

    protected final char[] DLE

### DC1

    protected final char[] DC1

### DC2

    protected final char[] DC2

### DC3

    protected final char[] DC3

### DC4

    protected final char[] DC4

### NAK

    protected final char[] NAK

### SYN

    protected final char[] SYN

### ETB

    protected final char[] ETB

### CAN

    protected final char[] CAN

### EM

    protected final char[] EM

### SUB

    protected final char[] SUB

### ESC

    protected final char[] ESC

### FS

    protected final char[] FS

### GS

    protected final char[] GS

### RS

    protected final char[] RS

### US

    protected final char[] US

### CONTROL_CHARACTERS

    protected final char[][] CONTROL_CHARACTERS

### AMP

    protected final char[] AMP

### LESS

    protected final char[] LESS

### GREATER

    protected final char[] GREATER

### QUOTE

    protected final char[] QUOTE

### LINE_FEED

    protected final char[] LINE_FEED

Constructor Detail

### XMLSaveImpl.Escape

    public XMLSaveImpl.Escape()

Method Detail

### setMappingLimit

    public void setMappingLimit(int mappingLimit)

### setAllowControlCharacters

    public void setAllowControlCharacters(boolean allowControlCharacters)

### convert

    public java.lang.String convert(java.lang.String input)

### convertText

    public java.lang.String convertText(java.lang.String input)

### convertLines

    public java.lang.String convertLines(java.lang.String input)

### replaceChars

    protected int replaceChars(int pos,
                               char[] replacement,
                               int inputLength)

### replace

    @Deprecated
    protected int replace(int pos,
                                     char[] replacement,
                                     int inputLength)

  Deprecated. since 2.2

  See Also:
    `replaceChars(int, char[], int)`

### grow

    protected void grow(int newSize)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.